Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.wsrp
Class WSRPTypeFactory

    java.lang.Object
      org.jboss.portal.wsrp.WSRPTypeFactory

    public class WSRPTypeFactory

extends java.lang.Object

Creates minimally valid instances of WSRP types, populated with default values where possible, as per wsrp_v1_types.xsd. See JBPORTAL-808 for more information.

Since:
  2.4
Version:
  $Revision: 11317 $
Author:
  Chris Laprun

Method Summary
`static BlockingInteractionResponse` | `createBlockingInteractionResponse(java.lang.String redirectURL)` ( updateResponse(UpdateResponse) | redirectURL(xsd:string) ), extensions(Extension)*
`static BlockingInteractionResponse` | `createBlockingInteractionResponse(UpdateResponse updateResponse)` ( updateResponse(UpdateResponse) | redirectURL(xsd:string) ), extensions(Extension)*
`static CacheControl` | `createCacheControl(int expires, java.lang.String userScope)` expires(xsd:int), userScope(xsd:string), validateTag(xsd:string)?, extensions(Extension)*
`static ClientData` | `createClientData(java.lang.String userAgent)` userAgent(xsd:string)?, extensions(Extension)*
`static ClonePortlet` | `createClonePortlet(RegistrationContext registrationContext, PortletContext portletContext, UserContext userContext)` registrationContext(RegistrationContext)?, portletContext(PortletContext), userContext(UserContext)?
`static InteractionParams` | `createDefaultInteractionParams()` Same as createInteractionParams(StateChange.readOnly)
`static MarkupParams` | `createDefaultMarkupParams()` Same as createMarkupParams(false, `WSRPConstants.getDefaultLocales()`, `WSRPConstants.getDefaultMimeTypes()`, `WSRPConstants.VIEW_MODE`, `WSRPConstants.NORMAL_WINDOW_STATE`)
`static GetMarkup` | `createDefaultMarkupRequest(java.lang.String handle)` Same as createMarkupRequest(handle, createDefaultRuntimeContext(), createDefaultMarkupParams())
`static PerformBlockingInteraction` | `createDefaultPerformBlockingInteraction(java.lang.String portletHandle)` Same as createPerformBlockingInteraction(portletHandle, `createDefaultRuntimeContext()`(), `createDefaultMarkupParams()`(), `createDefaultInteractionParams()`());
`static RegistrationData` | `createDefaultRegistrationData()` Same as createRegistrationData(`WSRPConstants.DEFAULT_CONSUMER_NAME`, false) using `WSRPConstants.CONSUMER_AGENT` for the consumer agent.
`static RuntimeContext` | `createDefaultRuntimeContext()` Same as createRuntimeContext(`WSRPConstants.NONE_USER_AUTHENTICATION`)
`static DestroyFailed` | `createDestroyFailed(java.lang.String portletHandle, java.lang.String reason)` portletHandle(xsd:string), reason(xsd:string)
`static DestroyPortlets` | `createDestroyPortlets(RegistrationContext registrationContext, java.lang.String[] portletHandles)` registrationContext(RegistrationContext)?, portletHandles(xsd:string)+
`static DestroyPortletsResponse` | `createDestroyPortletsResponse(DestroyFailed[] destroyFailed)` destroyFailed(DestroyFailed)*, extensions(Extension)*
`static GetPortletDescription` | `createGetPortletDescription(RegistrationContext registrationContext, org.jboss.portal.portlet.PortletContext portletContext)`
`static GetPortletDescription` | `createGetPortletDescription(RegistrationContext registrationContext, java.lang.String portletHandle)` registrationContext(RegistrationContext)?, portletContext(PortletContext), userContext(UserContext)?, desiredLocales(xsd:string)*
`static GetPortletProperties` | `createGetPortletProperties(RegistrationContext registrationContext, PortletContext portletContext)` registrationContext(RegistrationContext)?, portletContext(PortletContext), userContext(UserContext)?, desiredLocales(xsd:string)*
`static GetPortletPropertyDescription` | `createGetPortletPropertyDescription(RegistrationContext registrationContext, PortletContext portletContext, UserContext userContext, java.lang.String[] desiredLocales)` registrationContext(RegistrationContext)?, portletContext(PortletContext), userContext(UserContext)?, desiredLocales(xsd:string)*
`static GetServiceDescription` | `createGetServiceDescription()` registrationContext(RegistrationContext)?, desiredLocales(xsd:string)*
`static InitCookie` | `createInitCookie(RegistrationContext registrationContext)` registrationContext(RegistrationContext)?
`static InteractionParams` | `createInteractionParams(StateChange portletStateChange)` portletStateChange(`StateChange`), interactionState(xsd:string)?, formParameters(NamedString)*, uploadContexts(UploadContext)*, extensions(Extension)*
`static LocalizedString` | `createLocalizedString(java.lang.String value)` Same as createLocalizedString("en", null, value)
`static LocalizedString` | `createLocalizedString(java.lang.String lang, java.lang.String resourceName, java.lang.String value)` value(xsd:string), @xml:lang, @resourceName(xsd:string)?
`static MarkupContext` | `createMarkupContext(java.lang.String mediaType, byte[] markupBinary)` useCachedMarkup(xsd:boolean[false])?, mimeType(xsd:string)?, (markupString(xsd:string) | markupBinary(xsd:base64Binary)), locale(xsd:string)?, requiresUrlRewriting(xsd:boolean[false])?, cacheControl(CacheControl)?, preferredTitle(xsd:string)?, extensions(Extension)*
`static MarkupContext` | `createMarkupContext(java.lang.String mediaType, java.lang.String markupString)` mimeType: The mime type of the returned markup.
`static MarkupParams` | `createMarkupParams(boolean secureClientCommunication, java.lang.String[] locales, java.lang.String[] mimeTypes, java.lang.String mode, java.lang.String windowState)` secureClientCommunication(xsd:boolean), locales(xsd:string)+, mimeTypes(xsd:string)+, mode(xsd:string), windowState(xsd:string), clientData(`ClientData`)?, navigationalState(xsd:string)?, markupCharacterSets(xsd:string)*, validateTag(xsd:string)?, validNewModes(xsd:string)*, validNewWindowStates(xsd:string)*, extensions(`Extension`)*
`static GetMarkup` | `createMarkupRequest(PortletContext portletContext, RuntimeContext runtimeContext, MarkupParams markupParams)` registrationContext(RegistrationContext)?, portletContext(PortletContext), runtimeContext(RuntimeContext), userContext(UserContext)?, markupParams(MarkupParams)
`static MarkupResponse` | `createMarkupResponse(MarkupContext markupContext)` markupContext(MarkupContext), sessionContext(SessionContext)?, extensions(Extension)*
`static ModelDescription` | `createModelDescription(PropertyDescription[] propertyDescriptions)` propertyDescriptions(PropertyDescription)*, modelTypes(ModelTypes)?, extensions(Extension)*
`static ModifyRegistration` | `createModifyRegistration(RegistrationContext registrationContext, RegistrationData registrationData)` registrationContext(RegistrationContext)?, registrationData(RegistrationData)
`static PerformBlockingInteraction` | `createPerformBlockingInteraction(PortletContext portletContext, RuntimeContext runtimeContext, MarkupParams markupParams, InteractionParams interactionParams)` `RegistrationContext`?, `PortletContext`, `RuntimeContext`, `UserContext`?, `MarkupParams`, `InteractionParams`
`static PortletContext` | `createPortletContext(java.lang.String portletHandle)` portletHandle(xsd:string), portletState(xsd:base64Binary)?, extensions(`Extension`)*
`static PortletContext` | `createPortletContext(java.lang.String portletHandle, byte[] portletState)`
`static PortletDescription` | `createPortletDescription(java.lang.String portletHandle, MarkupType[] markupTypes)` portletHandle(xsd:string), markupTypes(MarkupType)+, groupID(xsd:string)?, description(LocalizedString)?, shortTitle(LocalizedString)?, title(LocalizedString)?, displayName(LocalizedString)?, keywords(LocalizedString)*, userCategories(xsd:string)*, userProfileItems(xsd:string)*, usesMethodGet(xsd:boolean[false])?, defaultMarkupSecure(xsd:boolean[false])?, onlySecure(xsd:boolean[false])?, userContextStoredInSession(xsd:boolean[false])?, templatesStoredInSession(xsd:boolean[false])?, hasUserSpecificState(xsd:boolean[false])?, doesUrlTemplateProcessing(xsd:boolean[false])?, extensions(Extension)*
`static PortletDescriptionResponse` | `createPortletDescriptionResponse(PortletDescription portletDescription)` portletDescription(PortletDescription), resourceList(ResourceList)?, extensions(Extension)*
`static PortletPropertyDescriptionResponse` | `createPortletPropertyDescriptionResponse(PropertyDescription[] propertyDescriptions)` modelDescription(ModelDescription)?, resourceList(ResourceList)?, extensions(Extension)*
`static Property` | `createProperty(java.lang.String name, java.lang.String lang, java.lang.String stringValue)` ( stringValue(xsd:string) | any* ), @name(xsd:string), @xml:lang
`static PropertyDescription` | `createPropertyDescription(java.lang.String name, javax.xml.namespace.QName type)` label(LocalizedString)?, hint(LocalizedString)?, extensions(Extension)*, @name(xsd:string), @type(xsd:QName)
`static PropertyList` | `createPropertyList()` properties(Property)*, resetProperties(ResetProperty)*, extensions(Extension)*
`static RegistrationContext` | `createRegistrationContext(java.lang.String registrationHandle)` registrationHandle(xsd:string), registrationState(xsd:base64Binary)?, extensions(Extension)*
`static RegistrationData` | `createRegistrationData(java.lang.String consumerName, boolean methodGetSupported)` consumerName(xsd:string), consumerAgent(xsd:string), methodGetSupported(xsd:boolean), consumerModes(xsd:string)*, consumerWindowStates(xsd:string)*, consumerUserScopes(xsd:string)*, customUserProfileData(xsd:string)*, registrationProperties(Property)*, extensions(Extension)*
`static ReleaseSessions` | `createReleaseSessions(RegistrationContext registrationContext, java.lang.String[] sessionIDs)` registrationContext(RegistrationContext)?, sessionIDs(xsd:string)*
`static ResetProperty` | `createResetProperty(java.lang.String name)` EMPTY, @name(xsd:string)
`static RuntimeContext` | `createRuntimeContext(java.lang.String userAuthentication)` userAuthentication(xsd:string), portletInstanceKey(xsd:string)?, namespacePrefix(xsd:string)?, templates(Templates)?, sessionID(xsd:string)?, extensions(Extension)*
`static ServiceDescription` | `createServiceDescription(boolean requiresRegistration)` requiresRegistration(xsd:boolean), offeredPortlets(PortletDescription)*, userCategoryDescriptions(ItemDescription)*, customUserProfileItemDescriptions(ItemDescription)*, customWindowStateDescriptions(ItemDescription)*, customModeDescriptions(ItemDescription)*, requiresInitCookie(CookieProtocol[none])?, registrationPropertyDescription(ModelDescription)?, locales(xsd:string)*, resourceList(ResourceList)?, extensions(Extension)*
`static SessionContext` | `createSessionContext(java.lang.String sessionID, int expires)` sessionID(xsd:string), expires(xsd:int), extensions(Extension)*
`static SetPortletProperties` | `createSetPortletProperties(RegistrationContext registrationContext, PortletContext portletContext, PropertyList propertyList)` registrationContext(RegistrationContext)?, portletContext(PortletContext), userContext(UserContext)?, propertyList(PropertyList)
`static ClonePortlet` | `createSimpleClonePortlet(java.lang.String portletHandle)` same as createClonePortlet(null, createPortletContext(portletHandle), null)
`static GetPortletPropertyDescription` | `createSimpleGetPortletPropertyDescription(java.lang.String portletHandle)` Same as createGetPortletPropertyDescription(null, createPortletContext(portletHandle), null, null)
`static Templates` | `createTemplates(org.jboss.portal.portlet.spi.PortletInvocationContext context)` defaultTemplate(xsd:string)?, blockingActionTemplate(xsd:string)?, renderTemplate(xsd:string)?, resourceTemplate(xsd:string)?, secureDefaultTemplate(xsd:string)?, secureBlockingActionTemplate(xsd:string)?, secureRenderTemplate(xsd:string)?, secureResourceTemplate(xsd:string)?, extensions(Extension)*
`static UpdateResponse` | `createUpdateResponse()` sessionContext(SessionContext)?, portletContext(PortletContext)?, markupContext(MarkupContext)?, navigationalState(xsd:string)? newWindowState(xsd:string)?, newMode(xsd:string)?
`static UploadContext` | `createUploadContext(java.lang.String mimeType, byte[] uploadData)` mimeType(xsd:string), uploadData(xsd:base64Binary), mimeAttributes(NamedString)*, extensions(Extension)*
`static UserContext` | `createUserContext(java.lang.String userContextKey)` For UserProfile and related classes, everything is optional so no need to have factory methods.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### createGetServiceDescription

    public static GetServiceDescription createGetServiceDescription()

  registrationContext(RegistrationContext)?, desiredLocales(xsd:string)*

  Returns:

### createDefaultMarkupRequest

    public static GetMarkup createDefaultMarkupRequest(java.lang.String handle)

  Same as createMarkupRequest(handle, createDefaultRuntimeContext(), createDefaultMarkupParams())

  Parameters:
    `handle` -
  Returns:

### createMarkupRequest

    public static GetMarkup createMarkupRequest(PortletContext portletContext,
                                                RuntimeContext runtimeContext,
                                                MarkupParams markupParams)

  registrationContext(RegistrationContext)?, portletContext(PortletContext), runtimeContext(RuntimeContext), userContext(UserContext)?, markupParams(MarkupParams)

  Parameters:
    `portletContext` -
    `runtimeContext` -
    `markupParams` -
  Returns:
  Throws:
    `java.lang.IllegalArgumentException` - if one of the required parameters is `null`

### createDefaultPerformBlockingInteraction

    public static PerformBlockingInteraction createDefaultPerformBlockingInteraction(java.lang.String portletHandle)

  Same as createPerformBlockingInteraction(portletHandle, `createDefaultRuntimeContext()`(), `createDefaultMarkupParams()`(), `createDefaultInteractionParams()`());

  Parameters:
    `portletHandle` -
  Returns:

### createPerformBlockingInteraction

    public static PerformBlockingInteraction createPerformBlockingInteraction(PortletContext portletContext,
                                                                              RuntimeContext runtimeContext,
                                                                              MarkupParams markupParams,
                                                                              InteractionParams interactionParams)

  `RegistrationContext`?, `PortletContext`, `RuntimeContext`, `UserContext`?, `MarkupParams`, `InteractionParams`

  Parameters:
    `portletContext` -
    `runtimeContext` -
    `markupParams` -
    `interactionParams` -
  Returns:

### createGetPortletDescription

    public static GetPortletDescription createGetPortletDescription(RegistrationContext registrationContext,
                                                                    java.lang.String portletHandle)

  registrationContext(RegistrationContext)?, portletContext(PortletContext), userContext(UserContext)?, desiredLocales(xsd:string)*

  Parameters:
    `registrationContext` -
    `portletHandle` - handle for the PortletContext
  Returns:
  Since:
    2.4.1

### createGetPortletDescription

    public static GetPortletDescription createGetPortletDescription(RegistrationContext registrationContext,
                                                                    org.jboss.portal.portlet.PortletContext portletContext)

  Parameters:
    `registrationContext` -
    `portletContext` -
  Returns:
  Since:
    2.6

### createGetPortletProperties

    public static GetPortletProperties createGetPortletProperties(RegistrationContext registrationContext,
                                                                  PortletContext portletContext)

  registrationContext(RegistrationContext)?, portletContext(PortletContext), userContext(UserContext)?, desiredLocales(xsd:string)*

  Parameters:
    `registrationContext` -
    `portletContext` -
  Returns:
  Since:
    2.4.1

### createBlockingInteractionResponse

    public static BlockingInteractionResponse createBlockingInteractionResponse(UpdateResponse updateResponse)

  ( updateResponse(UpdateResponse) | redirectURL(xsd:string) ), extensions(Extension)*

  Returns:

### createBlockingInteractionResponse

    public static BlockingInteractionResponse createBlockingInteractionResponse(java.lang.String redirectURL)

  ( updateResponse(UpdateResponse) | redirectURL(xsd:string) ), extensions(Extension)*

  Returns:

### createUpdateResponse

    public static UpdateResponse createUpdateResponse()

  sessionContext(SessionContext)?, portletContext(PortletContext)?, markupContext(MarkupContext)?, navigationalState(xsd:string)? newWindowState(xsd:string)?, newMode(xsd:string)?

  Returns:

### createPortletDescription

    public static PortletDescription createPortletDescription(java.lang.String portletHandle,
                                                              MarkupType[] markupTypes)

  portletHandle(xsd:string), markupTypes(MarkupType)+, groupID(xsd:string)?, description(LocalizedString)?, shortTitle(LocalizedString)?, title(LocalizedString)?, displayName(LocalizedString)?, keywords(LocalizedString)*, userCategories(xsd:string)*, userProfileItems(xsd:string)*, usesMethodGet(xsd:boolean[false])?, defaultMarkupSecure(xsd:boolean[false])?, onlySecure(xsd:boolean[false])?, userContextStoredInSession(xsd:boolean[false])?, templatesStoredInSession(xsd:boolean[false])?, hasUserSpecificState(xsd:boolean[false])?, doesUrlTemplateProcessing(xsd:boolean[false])?, extensions(Extension)*

  Returns:

### createDefaultMarkupParams

    public static MarkupParams createDefaultMarkupParams()

  Same as createMarkupParams(false, `WSRPConstants.getDefaultLocales()`, `WSRPConstants.getDefaultMimeTypes()`, `WSRPConstants.VIEW_MODE`, `WSRPConstants.NORMAL_WINDOW_STATE`)

  Returns:

### createMarkupParams

    public static MarkupParams createMarkupParams(boolean secureClientCommunication,
                                                  java.lang.String[] locales,
                                                  java.lang.String[] mimeTypes,
                                                  java.lang.String mode,
                                                  java.lang.String windowState)

  secureClientCommunication(xsd:boolean), locales(xsd:string)+, mimeTypes(xsd:string)+, mode(xsd:string), windowState(xsd:string), clientData(`ClientData`)?, navigationalState(xsd:string)?, markupCharacterSets(xsd:string)*, validateTag(xsd:string)?, validNewModes(xsd:string)*, validNewWindowStates(xsd:string)*, extensions(`Extension`)*

  Returns:

### createDefaultRuntimeContext

    public static RuntimeContext createDefaultRuntimeContext()

  Same as createRuntimeContext(`WSRPConstants.NONE_USER_AUTHENTICATION`)

  Returns:

### createRuntimeContext

    public static RuntimeContext createRuntimeContext(java.lang.String userAuthentication)

  userAuthentication(xsd:string), portletInstanceKey(xsd:string)?, namespacePrefix(xsd:string)?, templates(Templates)?, sessionID(xsd:string)?, extensions(Extension)*

  Returns:

### createPortletContext

    public static PortletContext createPortletContext(java.lang.String portletHandle)

  portletHandle(xsd:string), portletState(xsd:base64Binary)?, extensions(`Extension`)*

  Parameters:
    `portletHandle` -
  Returns:

### createPortletContext

    public static PortletContext createPortletContext(java.lang.String portletHandle,
                                                      byte[] portletState)

  Parameters:
    `portletHandle` -
    `portletState` -
  Returns:
  Since:
    2.6

### createDefaultInteractionParams

    public static InteractionParams createDefaultInteractionParams()

  Same as createInteractionParams(StateChange.readOnly)

  Returns:

### createInteractionParams

    public static InteractionParams createInteractionParams(StateChange portletStateChange)

  portletStateChange(`StateChange`), interactionState(xsd:string)?, formParameters(NamedString)*, uploadContexts(UploadContext)*, extensions(Extension)*

  Returns:

### createInitCookie

    public static InitCookie createInitCookie(RegistrationContext registrationContext)

  registrationContext(RegistrationContext)?

  Parameters:
    `registrationContext` -
  Returns:

### createServiceDescription

    public static ServiceDescription createServiceDescription(boolean requiresRegistration)

  requiresRegistration(xsd:boolean), offeredPortlets(PortletDescription)*, userCategoryDescriptions(ItemDescription)*, customUserProfileItemDescriptions(ItemDescription)*, customWindowStateDescriptions(ItemDescription)*, customModeDescriptions(ItemDescription)*, requiresInitCookie(CookieProtocol[none])?, registrationPropertyDescription(ModelDescription)?, locales(xsd:string)*, resourceList(ResourceList)?, extensions(Extension)*

  Returns:

### createMarkupResponse

    public static MarkupResponse createMarkupResponse(MarkupContext markupContext)

  markupContext(MarkupContext), sessionContext(SessionContext)?, extensions(Extension)*

  Returns:

### createMarkupContext

    public static MarkupContext createMarkupContext(java.lang.String mediaType,
                                                    java.lang.String markupString)

  mimeType: The mime type of the returned markup. The mimeType field MUST be specified whenever markup is returned, and if the markupBinary field is used to return the markup, the mime type MUST include the character set for textual mime types using the syntax specified in RFC1522[14] (e.g. "text/html; charset=UTF-8"). In this particular case this character set MAY be different than the response message.

  useCachedMarkup(xsd:boolean[false])?, mimeType(xsd:string)?, (markupString(xsd:string) | markupBinary(xsd:base64Binary)), locale(xsd:string)?, requiresUrlRewriting(xsd:boolean[false])?, cacheControl(CacheControl)?, preferredTitle(xsd:string)?, extensions(Extension)*

  Returns:

### createMarkupContext

    public static MarkupContext createMarkupContext(java.lang.String mediaType,
                                                    byte[] markupBinary)

  useCachedMarkup(xsd:boolean[false])?, mimeType(xsd:string)?, (markupString(xsd:string) | markupBinary(xsd:base64Binary)), locale(xsd:string)?, requiresUrlRewriting(xsd:boolean[false])?, cacheControl(CacheControl)?, preferredTitle(xsd:string)?, extensions(Extension)*

  Parameters:
    `mediaType` - The mime type of the returned markup. The mimeType field MUST be specified whenever markup is returned, and if the markupBinary field is used to return the markup, the mime type MUST include the character set for textual mime types using the syntax specified in RFC1522[14] (e.g. "text/html; charset=UTF-8"). In this particular case this character set MAY be different than the response message.
  Returns:
    a new MarkupContext

### createSessionContext

    public static SessionContext createSessionContext(java.lang.String sessionID,
                                                      int expires)

  sessionID(xsd:string), expires(xsd:int), extensions(Extension)*

  Parameters:
    `sessionID` - An opaque string the Portlet defines for referencing state that is stored locally on the Producer. The maximum length of a sessionID is 4096 characters,
    `expires` - Maximum number of seconds between invocations referencing the sessionID before the Producer will schedule releasing the related resources. A value of -1 indicates that the sessionID will never expire.
  Returns:
    a new SessionContext

### createUserContext

    public static UserContext createUserContext(java.lang.String userContextKey)

  For UserProfile and related classes, everything is optional so no need to have factory methods.

  userContextKey(xsd:string), userCategories(xsd:string)*, profile(UserProfile)?, extensions(Extension)*

  Returns:

### createRegistrationData

    public static RegistrationData createRegistrationData(java.lang.String consumerName,
                                                          boolean methodGetSupported)

  consumerName(xsd:string), consumerAgent(xsd:string), methodGetSupported(xsd:boolean), consumerModes(xsd:string)*, consumerWindowStates(xsd:string)*, consumerUserScopes(xsd:string)*, customUserProfileData(xsd:string)*, registrationProperties(Property)*, extensions(Extension)*

  Parameters:
    `consumerName` - A name (preferably unique) that identifies the Consumer [R355] An example of such a name would be the Consumer's URL.
    `methodGetSupported` - A flag that tells the Producer whether the Consumer has implemented portlet URLs (regardless of whether they are written through Consumer URL rewriting or Producer URL writing, see [Section 10.2]) in a manner that supports HTML markup containing forms with method="get".
  Returns:

### createDefaultRegistrationData

    public static RegistrationData createDefaultRegistrationData()

  Same as createRegistrationData(`WSRPConstants.DEFAULT_CONSUMER_NAME`, false) using `WSRPConstants.CONSUMER_AGENT` for the consumer agent.

  Returns:
  Since:
    2.4.1

### createProperty

    public static Property createProperty(java.lang.String name,
                                          java.lang.String lang,
                                          java.lang.String stringValue)

  ( stringValue(xsd:string) | any* ), @name(xsd:string), @xml:lang

  Returns:

### createTemplates

    public static Templates createTemplates(org.jboss.portal.portlet.spi.PortletInvocationContext context)

  defaultTemplate(xsd:string)?, blockingActionTemplate(xsd:string)?, renderTemplate(xsd:string)?, resourceTemplate(xsd:string)?, secureDefaultTemplate(xsd:string)?, secureBlockingActionTemplate(xsd:string)?, secureRenderTemplate(xsd:string)?, secureResourceTemplate(xsd:string)?, extensions(Extension)*

  Parameters:
    `context` -
  Returns:

### createClientData

    public static ClientData createClientData(java.lang.String userAgent)

  userAgent(xsd:string)?, extensions(Extension)*

  Parameters:
    `userAgent` -
  Returns:

### createCacheControl

    public static CacheControl createCacheControl(int expires,
                                                  java.lang.String userScope)

  expires(xsd:int), userScope(xsd:string), validateTag(xsd:string)?, extensions(Extension)*

  Parameters:
    `expires` - Number of seconds the markup fragment referenced by this cache control entry remains valid. A value of -1 indicates that the markup fragment will never expire.
    `userScope` -
  Returns:

### createRegistrationContext

    public static RegistrationContext createRegistrationContext(java.lang.String registrationHandle)

  registrationHandle(xsd:string), registrationState(xsd:base64Binary)?, extensions(Extension)*

  Parameters:
    `registrationHandle` -
  Returns:
  Since:
    2.4.1

### createModelDescription

    public static ModelDescription createModelDescription(PropertyDescription[] propertyDescriptions)

  propertyDescriptions(PropertyDescription)*, modelTypes(ModelTypes)?, extensions(Extension)*

  Returns:
  Since:
    2.6

### createPropertyDescription

    public static PropertyDescription createPropertyDescription(java.lang.String name,
                                                                javax.xml.namespace.QName type)

  label(LocalizedString)?, hint(LocalizedString)?, extensions(Extension)*, @name(xsd:string), @type(xsd:QName)

  Returns:
  Since:
    2.6

### createLocalizedString

    public static LocalizedString createLocalizedString(java.lang.String lang,
                                                        java.lang.String resourceName,
                                                        java.lang.String value)

  value(xsd:string), @xml:lang, @resourceName(xsd:string)?

  Returns:
  Since:
    2.6

### createLocalizedString

    public static LocalizedString createLocalizedString(java.lang.String value)

  Same as createLocalizedString("en", null, value)

  Parameters:
    `value` -
  Returns:
  Since:
    2.6

### createPortletDescriptionResponse

    public static PortletDescriptionResponse createPortletDescriptionResponse(PortletDescription portletDescription)

  portletDescription(PortletDescription), resourceList(ResourceList)?, extensions(Extension)*

  Parameters:
    `portletDescription` -
  Returns:
  Since:
    2.6

### createPortletPropertyDescriptionResponse

    public static PortletPropertyDescriptionResponse createPortletPropertyDescriptionResponse(PropertyDescription[] propertyDescriptions)

  modelDescription(ModelDescription)?, resourceList(ResourceList)?, extensions(Extension)*

  Parameters:
    `propertyDescriptions` -
  Returns:
  Since:
    2.6

### createGetPortletPropertyDescription

    public static GetPortletPropertyDescription createGetPortletPropertyDescription(RegistrationContext registrationContext,
                                                                                    PortletContext portletContext,
                                                                                    UserContext userContext,
                                                                                    java.lang.String[] desiredLocales)

  registrationContext(RegistrationContext)?, portletContext(PortletContext), userContext(UserContext)?, desiredLocales(xsd:string)*

  Returns:
  Since:
    2.6

### createSimpleGetPortletPropertyDescription

    public static GetPortletPropertyDescription createSimpleGetPortletPropertyDescription(java.lang.String portletHandle)

  Same as createGetPortletPropertyDescription(null, createPortletContext(portletHandle), null, null)

  Parameters:
    `portletHandle` -
  Returns:
  Since:
    2.6

### createDestroyFailed

    public static DestroyFailed createDestroyFailed(java.lang.String portletHandle,
                                                    java.lang.String reason)

  portletHandle(xsd:string), reason(xsd:string)

  Parameters:
    `portletHandle` -
    `reason` -
  Returns:
  Since:
    2.6

### createDestroyPortletsResponse

    public static DestroyPortletsResponse createDestroyPortletsResponse(DestroyFailed[] destroyFailed)

  destroyFailed(DestroyFailed)*, extensions(Extension)*

  Parameters:
    `destroyFailed` -
  Returns:
  Since:
    2.6

### createSetPortletProperties

    public static SetPortletProperties createSetPortletProperties(RegistrationContext registrationContext,
                                                                  PortletContext portletContext,
                                                                  PropertyList propertyList)

  registrationContext(RegistrationContext)?, portletContext(PortletContext), userContext(UserContext)?, propertyList(PropertyList)

  Parameters:
    `portletContext` -
    `propertyList` -
  Returns:
  Since:
    2.6

### createSimpleClonePortlet

    public static ClonePortlet createSimpleClonePortlet(java.lang.String portletHandle)

  same as createClonePortlet(null, createPortletContext(portletHandle), null)

  Parameters:
    `portletHandle` -
  Returns:
  Since:
    2.6

### createClonePortlet

    public static ClonePortlet createClonePortlet(RegistrationContext registrationContext,
                                                  PortletContext portletContext,
                                                  UserContext userContext)

  registrationContext(RegistrationContext)?, portletContext(PortletContext), userContext(UserContext)?

  Returns:
  Since:
    2.6

### createDestroyPortlets

    public static DestroyPortlets createDestroyPortlets(RegistrationContext registrationContext,
                                                        java.lang.String[] portletHandles)

  registrationContext(RegistrationContext)?, portletHandles(xsd:string)+

  Returns:
  Since:
    2.6

### createPropertyList

    public static PropertyList createPropertyList()

  properties(Property)*, resetProperties(ResetProperty)*, extensions(Extension)*

  Returns:
  Since:
    2.6

### createResetProperty

    public static ResetProperty createResetProperty(java.lang.String name)

  EMPTY, @name(xsd:string)

  Parameters:
    `name` -
  Returns:
  Since:
    2.6

### createReleaseSessions

    public static ReleaseSessions createReleaseSessions(RegistrationContext registrationContext,
                                                        java.lang.String[] sessionIDs)

  registrationContext(RegistrationContext)?, sessionIDs(xsd:string)*

  Returns:
  Since:
    2.6

### createModifyRegistration

    public static ModifyRegistration createModifyRegistration(RegistrationContext registrationContext,
                                                              RegistrationData registrationData)

  registrationContext(RegistrationContext)?, registrationData(RegistrationData)

  Returns:
  Since:
    2.6

### createUploadContext

    public static UploadContext createUploadContext(java.lang.String mimeType,
                                                    byte[] uploadData)

  mimeType(xsd:string), uploadData(xsd:base64Binary), mimeAttributes(NamedString)*, extensions(Extension)*

  Parameters:
    `mimeType` -
    `uploadData` -
  Returns:
  Since:
    2.6.2

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD